#ifndef __Z64PFS_H_
#define __Z64PFS_H_

/***************************************************************************
 *                                                                         *
 *  z64pfs.h                                                               *
 *                                                                         *
 ***************************************************************************/

#include <ultra64.h>
#include "draw.h"

/*--------------------------------------------------------------------------
   Constants
 --------------------------------------------------------------------------*/

/*
 *  Thread IDs
 */

#define	TID_Idle       1
#define	TID_MainProc   3

/*
 *  Screensize
 */

#define VideomodeNTSC   OS_VI_NTSC_LAN1
#define VideomodePAL    OS_VI_PAL_LAN1
#define ScreenWd        320
#define ScreenHt        240

/*
 *  Misc.
 */

#define StackSize     (0x3000/8)
#define	NumPIMsgs     8
#define CBufferSize   65536

/*--------------------------------------------------------------------------
   External
 --------------------------------------------------------------------------*/

extern u16   cfb[];


#endif   // !__Z64PFS_H_

