/*---SST.H---*/
#ifndef _INC_ATMEL
#define _INC_ATMEL
#include "flashrom\flashrom.h"
class flash_atmel:public flash_rom
{
 public:
  //int get_sector_size();
  //int get_max_sector();
  //void set_segment(unsigned int d_seg);
  //unsigned int write(unsigned char far *buf,int sec_num,int sector);

  flash_atmel();
  int get_sector_size();
  int get_max_sector();
  int get_current_sector();
  void set_disk_io(unsigned int io);
  void set_socket(char socket);
  void set_page(int page_num);
  void set_segment(unsigned int d_seg);
  unsigned int write(unsigned char far *buf,int sec_num,unsigned int sector);
  ~flash_atmel();
 private:
  unsigned int disk_seg;
  unsigned int page_io;
  unsigned char p_num;
  unsigned int idx;
  int current_sec;
  void protect();
  void unprotect();
  void get_sector(int sec_num);
  unsigned int write_1(unsigned char far *buf);
  unsigned int write_2(unsigned char far *buf);
  unsigned int check_toggle_bit(unsigned char far *c);
  unsigned int toggle_0(unsigned char far *c);
  unsigned int toggle_1(unsigned char far *c);
  unsigned int verify(unsigned char far *buf);
};
#endif
