/*---SST.H---*/
#ifndef _INC_SST
#define _INC_SST
#include "flashrom\flashrom.h"
class flash_sst:public flash_rom
{
 public:
  //int get_sector_size();
  //int get_max_sector();
  //void set_segment(unsigned int d_seg);
  //unsigned int write(unsigned char far *buf,int sec_num,unsigned int sector);

  flash_sst();
  int get_sector_size();
  int get_max_sector();
  int get_current_sector();
  void set_disk_io(unsigned int io);
  void set_socket(char socket);
  void set_page(int page_num);
  void set_segment(unsigned int d_seg);
  unsigned int write(unsigned char far *buf,int sec_num,unsigned int sector);
  ~flash_sst();
 private:
  unsigned int disk_seg;
  unsigned int page_io;
  unsigned char p_num;
  unsigned int idx;
  int current_sec;
  void protect();
  void unprotect();
  unsigned int erase();
  void get_sector(int sec_num);
};
#endif

