#ifndef __UTIL_H_
#define __UTIL_H_

/***************************************************************************
 *                                                                         *
 *  util.h                                                                 *
 *                                                                         *
 ***************************************************************************/

#include "basetype.h"

/*--------------------------------------------------------------------------
   External functions
 --------------------------------------------------------------------------*/

extern void WriteDebugMsg(char *msg);
extern Bool StatusChanged(void);
extern void SwapBytes(U8 *buffer,U16 size);
extern void CenterStr(char *dest,U16 sizeDest,char *src,char ctos);
extern void ShowCenterStr(char *str,char line_no);
extern void SoundBeep(U16 sfreq);
extern Bool AskYesNo(char *question);
extern void ShowMessage(char *str);


#endif   // !__UTIL_H_

