/*---LCD_IF.CPP---*/
#include"lcd_if.h"
#include<conio.h>
const unsigned hold_mask=0x80;  // disable n64 hold
void Text_LCD_if_8255::write_cmd(unsigned char cmd)
{
  write(0,cmd);
}
unsigned char Text_LCD_if_8255::read_status()
{
  return read(0);
}
void Text_LCD_if_8255::write_data(unsigned char data)
{
  write(1,data);
}
unsigned char Text_LCD_if_8255::read_data()
{
  return read(1);
}
void Text_LCD_if_8255::write(int RS,unsigned char data)
{
  unsigned char RS_mask;
  if(RS)
    RS_mask=4;
  else
    RS_mask=0;
  outp(iobase+1,0|RS_mask|hold_mask);  // RS RW=0 EN=0
  outp(iobase+3,0x89);                 // A,B output C input
  outp(iobase,data);                   // A=data
  outp(iobase+1,1|RS_mask|hold_mask);  // RS RW=0 EN=1
  outp(iobase+1,0|RS_mask|hold_mask);  // RS RW=0 EN=0
}
unsigned char Text_LCD_if_8255::read(int RS)
{
  unsigned char RS_mask;
  if(RS)
    RS_mask=4;
  else
    RS_mask=0;
  unsigned char data;
  outp(iobase+3,0x99);                 // A input/B output/C input
  outp(iobase+1,2|RS_mask|hold_mask);  // RS RW=1 EN=0
  outp(iobase+1,3|RS_mask|hold_mask);  // RS RW=1 EN=1
  data=inp(iobase);                    // Read data
  outp(iobase+1,2|RS_mask|hold_mask);  // RS RW=1 EN=0
  return data;
}
