#ifndef _INC_DEBUG
#define _INC_DEBUG
#include<dos.h>
#include<stdio.h>
#include<stddef.h>
static int write_buf(const char *fn,const char far *buf,size_t sz)
{
  int fh;
  if(_dos_creat(fn,_A_NORMAL,&fh))
  {
    return 1;
  }
  size_t nw;
  if(_dos_write(fh,buf,sz,&nw)!=0)
  {
    return 1;
  }
  _dos_close(fh);
  return 0;
}
static void dump_buf(FILE *fh,const char far *buf,int sz)
{
  int i;
  for(i=0;i<sz;i++)
  {
    fprintf(fh,"%02X  ",(unsigned char)buf[i]);
    if((i%16)==15)
      printf("\n");
  }
  printf("\n");
}
#endif

