#ifndef __KEYPAD_H_
#define __KEYPAD_H_

/***************************************************************************
 *                                                                         *
 *  keypad.h                                                               *
 *                                                                         *
 ***************************************************************************/

#include "basetype.h"

/*--------------------------------------------------------------------------
   Constants
 --------------------------------------------------------------------------*/

#define KeyEnter    1
#define KeyDown     2
#define KeyUp       4
#define KeyBoth     (KeyDown | KeyUp)
#define KeyAnykey   (KeyBoth | KeyEnter)

/*--------------------------------------------------------------------------
   External functions
 --------------------------------------------------------------------------*/

extern U8   KeypadRead(void);
extern void KeypadWait(U8 validKeys);


#endif   // !__KEYPAD_H_

