#ifndef __Z64UNZIP_H_
#define __Z64UNZIP_H_

/***************************************************************************
 *                                                                         *
 *  z64unzip.h                                                             *
 *                                                                         *
 ***************************************************************************/

/*
 *  Basics
 */
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <dos.h>
#include <io.h>
#include <fcntl.h>
#include <alloc.h>

/*
 *  Non-basic include-files
 */

#include "zlib.h"
#include "basetype.h"
#include "keypad.h"
#include "lcd.h"
#include "ram.h"

/*--------------------------------------------------------------------------
   Types
 --------------------------------------------------------------------------*/

typedef struct _ZipHeader {
   U16   compression;
   U32   date;
   U32   crc32;
   long  compressed;
   long  decompressed;
   U16   lenFilename;
   U16   lenExtra;
} ZipHeader;

/*--------------------------------------------------------------------------
   Exports
 --------------------------------------------------------------------------*/

extern char Z64hwVersion;


#endif   // !__Z64UNZIP_H_