#ifndef __HW_MISC_H_
#define __HW_MISC_H_

/***************************************************************************
 *                                                                         *
 *  hw_misc.h                                                              *
 *                                                                         *
 ***************************************************************************/

#include "basetype.h"

/*--------------------------------------------------------------------------
   Extern variable and functions
 --------------------------------------------------------------------------*/

/*
 *  Variables
 */

extern char Z64hwVersion;

/*
 *  Functions
 */

extern void Z64InitChip(void);
extern void Z64ClearRequestFlag(void);
extern char Z64CheckRequestFlag(void);
extern char N64IsPowerOn(void);
extern char N64IsCartridgePlugged(void);


#endif   // !__HW_MISC_H_
